package utils

import (
	"fmt"
	"runtime"
	"time"
)

func PrintSqlErr(err error) {
	build_time_str := time.Now().Format(time.DateTime)
	_, file, line, _ := runtime.Caller(1)
	fmt.Printf("%s SQL执行失败: %s:%d======> \033[31m%v\033[0m\n", build_time_str, file, line, err)
}

func PrintSearchFileErr(err error) {
	build_time_str := time.Now().Format(time.DateTime)
	_, file, line, _ := runtime.Caller(1)
	fmt.Printf("%s 文件查询失败: %s:%d======> \033[31m%v\033[0m\n", build_time_str, file, line, err)
}
